#!/usr/bin/env python
# coding: utf-8

# In[ ]:


from abc import ABC, abstractmethod

class Observer(ABC):
    """Интерфейс наблюдателя (паттерн Observer)."""

    @abstractmethod
    def update(self, event: str) -> None:
        """Обработчик события."""
        pass

